/* flaneth - flash and ethernet - dartboard mod
 * version 0.1 date 2008-11-09
 * Copyright (C) 2007-2008 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_dart
#define INC_dart

// initialize
extern void DartInit( void );

// task procedure
extern void DartTask( void );

// tick procedure - call every 200ms
extern void DartTick200( void );

// a dart request packet has been received
extern void DartRequest( unsigned char ip[4], unsigned short port );

// poll for dart event
extern void DartPoll( unsigned char * factor, unsigned char * value );

#endif // #ifdef INC_dart

